searchData={"items":[{"type":"module","title":"Makeup.Lexers.EExLexer","doc":"EEx lexer","ref":"Makeup.Lexers.EExLexer.html"},{"type":"function","title":"Makeup.Lexers.EExLexer.root/2","doc":"Parses the given `binary` as root.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Makeup.Lexers.EExLexer.html#root/2"},{"type":"function","title":"Options - Makeup.Lexers.EExLexer.root/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Makeup.Lexers.EExLexer.html#root/2-options"},{"type":"function","title":"Makeup.Lexers.EExLexer.root__0/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root__0/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root__1/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root__1/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root__2/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root__2/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root__3/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root__3/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root__4/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root__4/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element/2","doc":"Parses the given `binary` as root_element.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root_element (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Makeup.Lexers.EExLexer.html#root_element/2"},{"type":"function","title":"Options - Makeup.Lexers.EExLexer.root_element/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Makeup.Lexers.EExLexer.html#root_element/2-options"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__0/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__0/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__1/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__1/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__2/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__2/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__3/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__3/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__4/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__4/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__5/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__5/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__6/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__6/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__7/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__7/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__8/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__8/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__9/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__9/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__10/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__10/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__11/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__11/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__12/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__12/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__13/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__13/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__14/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__14/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__15/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__15/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__16/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__16/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__17/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__17/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__18/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__18/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__19/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__19/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__20/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__20/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__21/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__21/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__22/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__22/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__23/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__23/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__24/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__24/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__25/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__25/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__26/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__26/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__27/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__27/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__28/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__28/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__29/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__29/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__30/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__30/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__31/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__31/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__32/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__32/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__33/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__33/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__34/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__34/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__35/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__35/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__36/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__36/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__37/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__37/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__38/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__38/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__39/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__39/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__40/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__40/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__41/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__41/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__42/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__42/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__43/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__43/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__44/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__44/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__45/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__45/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__46/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__46/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__47/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__47/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__48/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__48/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__49/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__49/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__50/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__50/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__51/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__51/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__52/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__52/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__53/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__53/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__54/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__54/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__55/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__55/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__56/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__56/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__57/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__57/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__58/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__58/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__59/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__59/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__60/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__60/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__61/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__61/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__62/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__62/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__63/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__63/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__64/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__64/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__65/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__65/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__66/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__66/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__67/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__67/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__68/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__68/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__69/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__69/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__70/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__70/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__71/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__71/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__72/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__72/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__73/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__73/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__74/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__74/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__75/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__75/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__76/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__76/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__77/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__77/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__78/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__78/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__79/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__79/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__80/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__80/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__81/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__81/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__82/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__82/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__83/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__83/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__84/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__84/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__85/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__85/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__86/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__86/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__87/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__87/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__88/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__88/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__89/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__89/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__90/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__90/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__91/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__91/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__92/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__92/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__93/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__93/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__94/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__94/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__95/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__95/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__96/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__96/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__97/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__97/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__98/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__98/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__99/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__99/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__100/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__100/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__101/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__101/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__102/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__102/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__103/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__103/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__104/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__104/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__105/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__105/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__106/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__106/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__107/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__107/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__108/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__108/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__109/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__109/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__110/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__110/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__111/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__111/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__112/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__112/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__113/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__113/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__114/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__114/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__115/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__115/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__116/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__116/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__117/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__117/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__118/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__118/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__119/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__119/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__120/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__120/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__121/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__121/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__122/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__122/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__123/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__123/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__124/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__124/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__125/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__125/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__126/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__126/6"},{"type":"function","title":"Makeup.Lexers.EExLexer.root_element__127/6","doc":"","ref":"Makeup.Lexers.EExLexer.html#root_element__127/6"},{"type":"module","title":"Makeup.Lexers.HEExLexer","doc":"HEEx lexer","ref":"Makeup.Lexers.HEExLexer.html"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root/2","doc":"Parses the given `binary` as root.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Makeup.Lexers.HEExLexer.html#root/2"},{"type":"function","title":"Options - Makeup.Lexers.HEExLexer.root/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Makeup.Lexers.HEExLexer.html#root/2-options"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root__0/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root__0/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root__1/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root__1/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root__2/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root__2/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root__3/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root__3/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root__4/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root__4/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element/2","doc":"Parses the given `binary` as root_element.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root_element (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Makeup.Lexers.HEExLexer.html#root_element/2"},{"type":"function","title":"Options - Makeup.Lexers.HEExLexer.root_element/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Makeup.Lexers.HEExLexer.html#root_element/2-options"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__0/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__0/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__1/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__1/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__2/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__2/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__3/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__3/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__4/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__4/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__5/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__5/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__6/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__6/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__7/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__7/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__8/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__8/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__9/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__9/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__10/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__10/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__11/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__11/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__12/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__12/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__13/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__13/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__14/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__14/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__15/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__15/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__16/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__16/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__17/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__17/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__18/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__18/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__19/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__19/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__20/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__20/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__21/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__21/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__22/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__22/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__23/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__23/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__24/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__24/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__25/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__25/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__26/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__26/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__27/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__27/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__28/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__28/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__29/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__29/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__30/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__30/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__31/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__31/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__32/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__32/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__33/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__33/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__34/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__34/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__35/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__35/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__36/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__36/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__37/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__37/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__38/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__38/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__39/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__39/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__40/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__40/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__41/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__41/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__42/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__42/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__43/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__43/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__44/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__44/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__45/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__45/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__46/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__46/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__47/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__47/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__48/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__48/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__49/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__49/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__50/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__50/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__51/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__51/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__52/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__52/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__53/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__53/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__54/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__54/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__55/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__55/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__56/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__56/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__57/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__57/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__58/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__58/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__59/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__59/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__60/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__60/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__61/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__61/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__62/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__62/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__63/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__63/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__64/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__64/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__65/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__65/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__66/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__66/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__67/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__67/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__68/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__68/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__69/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__69/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__70/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__70/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__71/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__71/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__72/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__72/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__73/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__73/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__74/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__74/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__75/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__75/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__76/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__76/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__77/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__77/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__78/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__78/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__79/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__79/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__80/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__80/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__81/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__81/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__82/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__82/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__83/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__83/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__84/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__84/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__85/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__85/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__86/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__86/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__87/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__87/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__88/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__88/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__89/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__89/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__90/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__90/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__91/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__91/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__92/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__92/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__93/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__93/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__94/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__94/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__95/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__95/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__96/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__96/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__97/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__97/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__98/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__98/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__99/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__99/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__100/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__100/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__101/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__101/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__102/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__102/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__103/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__103/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__104/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__104/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__105/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__105/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__106/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__106/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__107/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__107/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__108/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__108/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__109/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__109/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__110/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__110/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__111/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__111/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__112/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__112/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__113/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__113/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__114/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__114/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__115/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__115/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__116/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__116/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__117/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__117/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__118/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__118/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__119/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__119/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__120/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__120/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__121/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__121/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__122/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__122/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__123/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__123/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__124/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__124/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__125/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__125/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__126/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__126/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__127/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__127/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__128/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__128/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__129/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__129/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__130/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__130/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__131/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__131/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__132/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__132/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__133/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__133/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__134/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__134/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__135/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__135/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__136/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__136/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__137/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__137/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__138/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__138/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__139/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__139/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__140/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__140/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__141/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__141/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__142/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__142/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__143/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__143/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__144/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__144/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__145/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__145/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__146/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__146/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__147/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__147/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__148/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__148/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__149/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__149/6"},{"type":"function","title":"Makeup.Lexers.HEExLexer.root_element__150/6","doc":"","ref":"Makeup.Lexers.HEExLexer.html#root_element__150/6"},{"type":"module","title":"MakeupEEx","doc":"Documentation for `MakeupEEx`.","ref":"MakeupEEx.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}